The designer raises events for the actions users perform — creating, previewing, saving and exiting a report.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
// Configure the designer in full-screen mode
var options = new Stimulsoft.Designer.StiDesignerOptions();
options.appearance.fullScreenMode = true;

var designer = new Stimulsoft.Designer.StiDesigner(options, "StiDesigner", false);

// Persist the edited template
designer.onSaveReport = function (e) {
    var jsonStr = e.report.saveToJsonString();
    alert("Save to JSON string complete.");
};

// Pre-register data for every newly created report
designer.onCreateReport = function (e) {
    var ds = new Stimulsoft.System.Data.DataSet("Demo");
    ds.readJsonFile("../reports/Demo.json");
    e.report.regData("Demo", "Demo", ds);
    e.report.dictionary.synchronize();
};

designer.onPreviewReport = function (e) { };
designer.onExit = function (e) { };

var report = new Stimulsoft.Report.StiReport();
report.loadFile("../reports/SimpleList.mrt");
designer.report = report;

designer.renderHtml("content");

Each event receives the current report through e.report. onSaveReport is where you persist the template (here serialized with saveToJsonString), and onCreateReport lets you pre-register data for every new report — giving you full control over the editing workflow.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

The designer raises events for creating, saving and previewing a report. This example registers data on new reports and reacts to saves.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/designer';

function onCreateReport(args: Stimulsoft.Designer.CreateReportArgs) {
    var dataSet = new Stimulsoft.System.Data.DataSet("Demo");
    dataSet.readJsonFile("Data/Demo.json");
    args.report.regData("Demo", "Demo", dataSet);
    args.report.dictionary.synchronize();
}
function onSaveReport(args: Stimulsoft.Designer.SaveReportArgs) { alert("onSaveReport event"); }

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
</script>

<template>
    <Designer :report="report" :options="designerOptions"
        @create-report="onCreateReport" @save-report="onSaveReport" />
</template>
Each event receives the current report through args.report; onCreateReport pre-registers data for new reports, and onSaveReport is where you persist the edited template.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

The designer raises events for creating, saving and previewing a report. This example registers data on new reports and reacts to saves.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
@Component({
    selector: "using-designer-events",
    imports: [Designer],
    template: `<sti-designer [report]="report" [options]="designerOptions" (onCreateReport)="onCreateReport($event)" (onSaveReport)="onSaveReport($event)"></sti-designer>`
})
export class UsingDesignerEvents {
    report = new Stimulsoft.Report.StiReport();
    designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
    onCreateReport(args: Stimulsoft.Designer.CreateReportArgs) {
        var dataSet = new Stimulsoft.System.Data.DataSet("Demo");
        dataSet.readJsonFile("Data/Demo.json");
        args.report.regData("Demo", "Demo", dataSet);
        args.report.dictionary.synchronize();
    }
    onSaveReport(args: Stimulsoft.Designer.SaveReportArgs) { alert("onSaveReport event"); }
    constructor() { this.report.loadFile("Reports/SimpleList.mrt"); }
}
Each event receives the current report through args.report; onCreateReport pre-registers data for new reports, and onSaveReport is where you persist the edited template.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

The React designer raises events for creating, saving, previewing and exiting a report.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
import React from 'react';
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-react/designer';

function onSaveReport(args: Stimulsoft.Designer.SaveReportArgs) {
    alert('onSaveReport event');
}

function onCreateReport(args: Stimulsoft.Designer.CreateReportArgs) {
    var dataSet = new Stimulsoft.System.Data.DataSet('Demo');
    dataSet.readJsonFile('Data/Demo.json');
    args.report.regData('Demo', 'Demo', dataSet);
    args.report.dictionary.synchronize();
}

function onPreviewReport(args: Stimulsoft.Designer.PreviewReportArgs) {
    alert('onPreviewReport event');
}

function onExit(args: Stimulsoft.Report.EventDataArgs) {
    alert('onExit event');
}

function App() {
    var report = new Stimulsoft.Report.StiReport();
    report.loadFile('Reports/SimpleList.mrt');

    var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
    designerOptions.appearance.fullScreenMode = true;

    return (
        <Designer
            options={designerOptions}
            report={report}
            onSaveReport={onSaveReport}
            onCreateReport={onCreateReport}
            onPreviewReport={onPreviewReport}
            onExit={onExit}
        />
    );
}

export default App;

Each event receives the current report through args.report. onCreateReport is a good place to pre-register data for every new report, while onSaveReport is where you store the edited template.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.